import { VerificationError, apply_number, apply_string, apply_boolean, apply_void } from "./ts_base";
export default class AddValueRequest {
   value1?: number;
   value2?: number;

   constructor(init?:Partial<AddValueRequest>){
      if(init){
         if(init["value1"])
            this.value1 = init["value1"];
         if(init["value2"])
            this.value2 = init["value2"];
      }
   }


   static apply(data: AddValueRequest) {
      apply_AddValueRequest(data);
   }
}

export function apply_AddValueRequest(data: AddValueRequest): AddValueRequest {
   if(typeof data !== "object") throw new VerificationError("AddValueRequest", undefined, data);
   let res = new AddValueRequest() as any;
   if(data["value1"] !== null && data["value1"] !== undefined) {
      res["value1"] = apply_number(data["value1"])
   }
   if(data["value2"] !== null && data["value2"] !== undefined) {
      res["value2"] = apply_number(data["value2"])
   }
   return res;
}
