import { VerificationError, apply_number, apply_string, apply_boolean, apply_void } from "./ts_base";
export default class TestAtom {
   val_number?: number;
   val_boolean?: boolean;
   val_string?: string;

   constructor(init?:Partial<TestAtom>){
      if(init){
         if(init["val_number"])
            this.val_number = init["val_number"];
         if(init["val_boolean"])
            this.val_boolean = init["val_boolean"];
         if(init["val_string"])
            this.val_string = init["val_string"];
      }
   }


   static apply(data: TestAtom) {
      apply_TestAtom(data);
   }
}

export function apply_TestAtom(data: TestAtom): TestAtom {
   if(typeof data !== "object") throw new VerificationError("TestAtom", undefined, data);
   let res = new TestAtom() as any;
   if(data["val_number"] !== null && data["val_number"] !== undefined) {
      res["val_number"] = apply_number(data["val_number"])
   }
   if(data["val_boolean"] !== null && data["val_boolean"] !== undefined) {
      res["val_boolean"] = apply_boolean(data["val_boolean"])
   }
   if(data["val_string"] !== null && data["val_string"] !== undefined) {
      res["val_string"] = apply_string(data["val_string"])
   }
   return res;
}
